#define NE_LETO_NE_ZIMA 0
#define ZIMA 1
#define LETO 2

#define OFF 0
#define ON  1

//   
// 8 ,   = AVCC
#define ADC_VREF_TYPE 0x60


#define A   1
#define B   2
#define C   4 
#define D   8  
#define E  16 
#define F  32 
#define G  64 

static flash unsigned char digits[] = {
	(A+B+C+D+E+F),   // 0
	(B+C),           // 1
	(A+B+D+E+G),     // 2
	(A+B+C+D+G),     // 3
	(B+C+F+G),       // 4
	(A+C+D+F+G),     // 5
	(A+C+D+E+F+G),   // 6
	(A+B+C),         // 7
	(A+B+C+D+E+F+G), // 8
	(A+B+C+D+F+G),   // 9
	(A+B+C+E+F+G),   // A - 10
	(C+D+E+F+G),     // b - 11
	(A+D+E+F),       // C - 12
	(B+C+D+E+G),     // d - 13
	(A+D+E+F+G),     // E - 14
	(A+E+F+G),       // F - 15
	(G),             // 16 -  
	(A+B+F+G),       // 17 -   
	(0),             // 18 - 
	(C+E+G),         // n
	(D+E+F+G)        // t
};

#define MINUS    16
#define GRADUS   17
#define PROBEL   18
#define SYMBOL_A 10
#define SYMBOL_B 11
#define SYMBOL_C 12
#define SYMBOL_D 13
#define SYMBOL_E 14
#define SYMBOL_F 15
#define SYMBOL_N 19
#define SYMBOL_T 20

//  : -, -,   , 
//                   eeprom, .1 ,  .2 ,
//                  ., ., ., ., .,
//                  .  , .  ,
//                  .   
#define IND_CLOCK      0
#define IND_SEC        1
#define IND_K          2
#define IND_EEPROM     3
#define IND_SET_H      4
#define IND_SET_M      5
#define IND_SET_YR     6
#define IND_SET_MN     7
#define IND_SET_DT     8
#define IND_SET_AL1_H  9
#define IND_SET_AL1_M 10
#define IND_SET_AL2_H 11
#define IND_SET_AL2_M 12
#define IND_TEST_ADC0 13
#define IND_TEST_ADC1 14

// 
#define KEY_PLUS       1
#define KEY_MINUS      2
#define KEY_MENU_PLUS  3
#define KEY_MENU_MINUS 4
#define KEY_AL1        6
#define KEY_AL2        7

//   DS1307    
#define MEM_CORECT        9
#define MEM_MONTH_CORECT 10
#define MEM_AL1_H        11
#define MEM_AL1_M        12
#define MEM_AL2_H        13
#define MEM_AL2_M        14

#define PORT_ALARM_1KHZ  PORTD.5     //   1 
#define PORT_ALARM_BIPER PORTD.6     //     

#define LED_AL1  PORTC.2     //    1
#define LED_AL2  PORTC.3     //     --//--           2

#define HC595_ST_CP PORTB.2  //     (74HC595)

unsigned char digit_out[12], //   (  0  11
                   cur_dig, // .  ()
                  indicate, // . (  = IND_CLOCK, ...)
       zpt_1, zpt_2, zpt_3, //    1, 2  3  (0 = 1 -   0 , 1 = 1  ...)
                 zpt_BLINK, // =1 -  
                    Corect, //  (.)
                      t2Hz, //     2 
         max_yarkost = 250, //    (    )
                   devices, // -   DS1820 / DS18S20 / DS18B20
                   old_key, //   
                povtor_key; //   

unsigned int      key_time; //      


eeprom unsigned char //    eeprom
 emaxfotorez @0x000,
   etest_adc @0x001,

efirst_start @0x1FF; //    

//        RAM
static unsigned char
    maxfotorez, //      ( 50  200)
    num_eeprom; //       .EEPROM


int temperature; // ,    DS1820 / DS18S20 / DS18B20


//        ,   - 
unsigned char myhour, mymin, mysec,    //  
              mydate, mymonth, myyear, //  
              al1_h, al1_m,            // 1 
              al2_h, al2_m,            // 2 
              alarm_active = ON,       //                  
              last_sunday_March,       //   
              last_sunday_October,     // -- // --              
              month_corect;            //       / 

unsigned int count_1_min, //   2     1 
             count_2_sec, //         -- // --                          2 
             count_1_sec; //         -- // --                          1 

unsigned char t1kHz; //     1 


const unsigned char date_of_month[12]={31,28,31,30,31,30,31,31,30,31,30,31};

// maximum number of DS1820 / DS18S20 / DS18B20 connected to the 1 Wire bus
#define MAX_DEVICES 2

// DS1820 / DS18S20 / DS18B20 devices ROM code storage area
unsigned char rom_code[MAX_DEVICES][9];
